@use "utilities/colors" as colors;
@use "utilities/sizes" as sizes;

body {
  font-family: "Lora", serif;
  color: black;
  background-image: url("../img/bx1.JPEG");
  background-repeat: no-repeat;
  background-position: center;
  opacity: 85%;
}

#viewForNotLoggedUser {
  height: 400px;
  width: 300px;
  font-size: sizes.$menu_nav_font_sizes;
  align-items: center;
  justify-items: center;
  margin: 250px auto;
  padding: 20px;
  background-color: colors.$head_footer_color;
}

input[type="text"],
input[type="password"] {
  width: 300px;
  background-color: #efefef;
  color: #666;
  border: 2px solid #ddd;
  border-radius: 5px;
  font-size: 20px;
  padding-top: 10px;
  outline: none;
  box-sizing: border-box; /*przegladarka pilnuje zeby inputy miały tyle szerokości ile ilość contentu o| może być również boreder-box - wtedy szerokość definiowana na stałe jak w przypadku przycisku np. submit czyli bierze szerokość i paddingi pod uwage a nie zawarstość*/
  margin-top: 20px;
}

button[type="button"] {
  width: 300px;
  background-color: colors.$second_color;
  color: white;
  padding: 15px 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  letter-spacing: 2px;
  margin-top: 30px;
  box-sizing: border-box;
}

input[type=text]:focus,
input[type=password]:focus /*focus czyli te pola które teraz jest w podglądzie*/ {
  -webkit-box-shadow: 0px 0px 10px 2px rgba(204, 204, 204, 0.9);
  -moz-box-shadow: 0px 0px 10px 2px rgba(204, 204, 204, 0.9);
  box-shadow: 0px 0px 10px 2px rgba(204, 204, 204, 0.9);
  border: 2px solid #a5cda5;
  background-color: #e9f3e9;
  color: #428c42;
}

button[type="button"]:hover {
  background-color: #37b93d;
}

button[type="button"]:focus {
  -webkit-box-shadow: 0px 0px 15px 5px rgba(204, 204, 204, 0.9);
  -moz-box-shadow: 0px 0px 15px 5px rgba(204, 204, 204, 0.9);
  box-shadow: 0px 0px 15px 5px rgba(204, 204, 204, 0.9);
}

button::-webkit-input-placeholder {
  color: #999;
}

button:focus::-webkit-input-placeholder {
  color: #428c42;
}

/*to dla Firefox <19*/
button:-moz-placeholder {
  color: #999;
}

button:focus:-moz-placeholder {
  color: #428c42;
}

/*to dla Firefox >19*/
button::-moz-placeholder {
  color: #999;
}

button:focus::-moz-placeholder {
  color: #428c42;
}

/*to dla Internet Explorer 10*/
button:-ms-input-placeholder {
  color: #999;
}

button:focus:-ms-input-placeholder {
  color: #428c42;
}

#feedback,
#feedback2 {
  font-size: sizes.$alert_font_sizes;
  width: 300px;
}

progress {
  width: 300px;
}

//ZADANIA Z CDA - FIREBASE

form[class="animalCreate"],
form[class="collection"] {
  width: auto;
  height: auto;
  padding: 20px 20px;
  margin-bottom: 20px;
  border-color: red;
  border-style: 1px dotted;
  opacity: 1;
  background-color: lightgreen;
  border-radius: 10px;
}

.formularz {
  width: 200px;
  height: 200px;
  background-color: lightblue;
}
